caoss.simulator.hardware

## Class Clock

- java.lang.Object
- - java.lang.Thread
  - - caoss.simulator.hardware.Clock

- All Implemented Interfaces:
    java.lang.Runnable

      public class Clock
      extends java.lang.Thread

  Class that synchronizes the executor of the hardware
  Author:
    Herve Paulino

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Clock()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTime()`
    `void` | `pause()`
    `void` | `resume(long value)`
    `void` | `resumeAsWas()`
    `void` | `run()` Forever invoke method `tick()` upon all CPU cores and hardware devices configure in the `Configuration` class

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Clock

          public Clock()

  - ### Method Detail

    - #### run

          public void run()

      Forever invoke method `tick()` upon all CPU cores and hardware devices configure in the `Configuration` class
      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### pause

          public void pause()

    - #### resume

          public void resume(long value)

    - #### resumeAsWas

          public void resumeAsWas()

    - #### getTime

          public long getTime()